#include <iostream>
#include <cstdlib>
#include <vector>

#include <TApplication.h>
#include <TCanvas.h>
#include <TColor.h>
#include <TGFrame.h>
#include <TGLayout.h>
#include <TGTableLayout.h>
#include <TImage.h>
#include <TRootEmbeddedCanvas.h>

class MyMainFrame : public TGMainFrame {
private:
	std::vector<TRootEmbeddedCanvas*>	fEmbCanvasVec;
	UInt_t								fH, fW, fCols, fRows;
	TImage								*fImg;

public:
	MyMainFrame(const TGWindow *p, UInt_t w, UInt_t h, UInt_t rows = 2, UInt_t cols = 2);
	virtual ~MyMainFrame(){};

	virtual void						CloseWindow();
	virtual void						GUIResized();

	ClassDef(MyMainFrame, 1)
};
